## golang-github-gofiber-fiber 2.52.6

=== Makefile ===
## help: 💡 Display available commands
.PHONY: help
help:
	@echo '⚡️ GoFiber/Fiber Development:'
	@sed -n 's/^##//p' ${MAKEFILE_LIST} | column -t -s ':' |  sed -e 's/^/ /'

## audit: 🚀 Conduct quality checks
.PHONY: audit
audit:
	go mod verify
	go vet ./...
	go run golang.org/x/vuln/cmd/govulncheck@latest ./...

## benchmark: 📈 Benchmark code performance
.PHONY: benchmark
benchmark:
	go test ./... -benchmem -bench=. -run=^Benchmark_$

## coverage: ☂️  Generate coverage report
.PHONY: coverage
coverage:
	go run gotest.tools/gotestsum@latest -f testname -- ./... -race -count=1 -coverprofile=/tmp/coverage.out -covermode=atomic
	go tool cover -html=/tmp/coverage.out

## format: 🎨 Fix code format issues
.PHONY: format
format:
	go run mvdan.cc/gofumpt@latest -w -l .

## lint: 🚨 Run lint checks
.PHONY: lint
lint:
	go run github.com/golangci/golangci-lint/cmd/golangci-lint@v1.51.0 run ./...

## test: 🚦 Execute all tests
.PHONY: test
test:
	go run gotest.tools/gotestsum@latest -f testname -- ./... -race -count=1 -shuffle=on

## longtest: 🚦 Execute all tests 10x
.PHONY: longtest
longtest:
	go run gotest.tools/gotestsum@latest -f testname -- ./... -race -count=15 -shuffle=on

## tidy: 📌 Clean and tidy dependencies
.PHONY: tidy
tidy:
	go mod tidy -v

## generate: ⚡️ Generate msgp && interface implementations
.PHONY: generate
generate:
	go install github.com/tinylib/msgp@latest
	go install github.com/vburenin/ifacemaker@975a95966976eeb2d4365a7fb236e274c54da64c
	go generate ./...

=== debian/changelog ===
golang-github-gofiber-fiber (2.52.6-1) unstable; urgency=low

  * Initial upload to sid, needed for gatus.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 May 2025 07:19:00 +0200

=== debian/control ===
Source: golang-github-gofiber-fiber
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-fxamacker-cbor-dev,
 golang-github-google-uuid-dev,
 golang-github-mattn-go-colorable-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-mattn-go-runewidth-dev,
 golang-github-stretchr-testify-dev,
 golang-github-tinylib-msgp-dev,
 golang-github-valyala-bytebufferpool-dev,
 golang-github-valyala-fasthttp-dev,
 golang-golang-x-crypto-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/gofiber/fiber
Vcs-Browser: https://forgejo.debian.net/gatus/golang-github-gofiber-fiber
Vcs-Git: https://forgejo.debian.net/gatus/golang-github-gofiber-fiber
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/gofiber/fiber

Package: golang-github-gofiber-fiber-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-fxamacker-cbor-dev,
 golang-github-google-uuid-dev,
 golang-github-mattn-go-colorable-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-stretchr-testify-dev,
 golang-github-tinylib-msgp-dev,
 golang-github-valyala-bytebufferpool-dev,
 golang-github-valyala-fasthttp-dev,
 golang-golang-x-crypto-dev,
 ${misc:Depends},
Description: Express inspired web framework (Go library)
 Fiber is a web framework, created with the idea of minimalism and follows the UNIX way.
 It is inspired by Express, the popular web framework for Node.js.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	# disabled (needs network)

execute_after_dh_auto_install:
	# Removing unneeded files
	rm -rf debian/golang-github-gofiber-fiber-dev/usr/share/gocode/src/github.com/gofiber/fiber/.github

## golang-github-gofiber-fiber 3.0.0

=== debian/changelog ===
golang-github-gofiber-fiber (3.0.0-2) sid; urgency=low

  * Bumping build-depends on golang-github-valyala-fasthttp to fix FTBFS
    on trixie.
  * Building with golang 1.25 to fix FTBFS on trixie.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Mar 2026 19:33:31 +0100

golang-github-gofiber-fiber (3.0.0-1) sid; urgency=low

  * Merging upstream version 3.0.0.
  * Adding newly required build-depends to golang-github-gofiber-utils-
    dev.
  * Adding newly required build-depends to golang-github-gofiber-schema-
    dev.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Feb 2026 09:20:05 +0100

golang-github-gofiber-fiber (2.52.6-2) sid; urgency=low

  * Moving dh-golang builddirectory to debian/_build.
  * Updating vcs fields.
  * Using codename instead of suitename in changelog.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Feb 2026 09:18:47 +0100

golang-github-gofiber-fiber (2.52.6-1) sid; urgency=low

  * Initial upload to sid, needed for gatus.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 May 2025 07:19:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
- golang-any,
+ golang-1.25,
  golang-github-fxamacker-cbor-dev,
+ golang-github-gofiber-schema-dev,
+ golang-github-gofiber-utils-dev,
  golang-github-google-uuid-dev,
  golang-github-mattn-go-colorable-dev,
  golang-github-mattn-go-isatty-dev,
@@ -14,12 +16,12 @@
  golang-github-stretchr-testify-dev,
  golang-github-tinylib-msgp-dev,
  golang-github-valyala-bytebufferpool-dev,
- golang-github-valyala-fasthttp-dev,
+ golang-github-valyala-fasthttp-dev (>= 1:1.67),
  golang-golang-x-crypto-dev,
 Standards-Version: 4.7.3
 Homepage: https://github.com/gofiber/fiber
-Vcs-Browser: https://forgejo.debian.net/gatus/golang-github-gofiber-fiber
-Vcs-Git: https://forgejo.debian.net/gatus/golang-github-gofiber-fiber
+Vcs-Browser: https://forgejo.debian.net/golang/golang-github-gofiber-fiber
+Vcs-Git: https://forgejo.debian.net/golang/golang-github-gofiber-fiber
 Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/gofiber/fiber

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+export GOROOT := /usr/lib/go-1.25
+export PATH := /usr/lib/go-1.25/bin:$(PATH)
+
 %:
-	dh ${@} --builddirectory=_build --buildsystem=golang
+	dh ${@} --builddirectory=debian/_build --buildsystem=golang
 
 override_dh_auto_test:
 	# disabled (needs network)

=== debian/watch ===
Version: 5

Template: github
Owner: gofiber
Project: fiber
Uversion-Mangle: auto

## golang-github-gofiber-fiber 3.1.0

=== Makefile ===
GOVERSION ?= $(shell go env GOVERSION)

## help: 💡 Display available commands
.PHONY: help
help:
	@echo '⚡️ GoFiber/Fiber Development:'
	@sed -n 's/^##//p' ${MAKEFILE_LIST} | column -t -s ':' |  sed -e 's/^/ /'

## audit: 🚀 Conduct quality checks
.PHONY: audit
audit:
	go mod verify
	go vet ./...
	GOTOOLCHAIN=$(GOVERSION) go run golang.org/x/vuln/cmd/govulncheck@latest ./...

## benchmark: 📈 Benchmark code performance
.PHONY: benchmark
benchmark:
	go test ./... -benchmem -bench=. -run=^Benchmark_$

## coverage: ☂️  Generate coverage report
.PHONY: coverage
coverage:
	GOTOOLCHAIN=$(GOVERSION) go run gotest.tools/gotestsum@latest -f testname -- ./... -race -count=1 -coverprofile=/tmp/coverage.out -covermode=atomic
	go tool cover -html=/tmp/coverage.out

## format: 🎨 Fix code format issues
.PHONY: format
format:
	GOTOOLCHAIN=$(GOVERSION) go run mvdan.cc/gofumpt@latest -w -l .

## markdown: 🎨 Find markdown format issues (Requires markdownlint-cli2)
.PHONY: markdown
markdown:
	@which markdownlint-cli2 > /dev/null || npm install -g markdownlint-cli2
	markdownlint-cli2 "**/*.md" "#vendor"

## lint: 🚨 Run lint checks
.PHONY: lint
lint:
	GOTOOLCHAIN=$(GOVERSION) go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.5.0 run ./...

## modernize: 🛠 Run gopls modernize
.PHONY: modernize
modernize:
	GOTOOLCHAIN=$(GOVERSION) go run golang.org/x/tools/gopls/internal/analysis/modernize/cmd/modernize@latest -fix -test=false ./...

## test: 🚦 Execute all tests
.PHONY: test
test:
	GOTOOLCHAIN=$(GOVERSION) go run gotest.tools/gotestsum@latest -f testname -- ./... -race -count=1 -shuffle=on

## longtest: 🚦 Execute all tests 10x
.PHONY: longtest
longtest:
	GOTOOLCHAIN=$(GOVERSION) go run gotest.tools/gotestsum@latest -f testname -- ./... -race -count=15 -shuffle=on

## tidy: 📌 Clean and tidy dependencies
.PHONY: tidy
tidy:
	go mod tidy -v

## betteralign: 📐 Optimize alignment of fields in structs
.PHONY: betteralign
betteralign:
	GOTOOLCHAIN=$(GOVERSION) go run github.com/dkorunic/betteralign/cmd/betteralign@v0.8.0 -test_files -generated_files -apply ./...

## generate: ⚡️ Generate msgp && interface implementations
.PHONY: generate
generate:
	go install github.com/tinylib/msgp@latest
	go install github.com/vburenin/ifacemaker@f30b6f9bdbed4b5c4804ec9ba4a04a999525c202
	go generate ./...

# actionspin: 🤖 Bulk replace GitHub actions references from version tags to commit hashes
.PHONY: actionspin
actionspin:
	GOTOOLCHAIN=$(GOVERSION) go run github.com/mashiike/actionspin/cmd/actionspin@latest

=== debian/changelog ===
golang-github-gofiber-fiber (3.1.0-1) sid; urgency=medium

  * Merging upstream version 3.1.0.
  * Bumping build-depends on golang-github-tinylib-msgp to fix FTBFS on
    trixie.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Mar 2026 19:38:10 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  golang-github-mattn-go-isatty-dev,
  golang-github-mattn-go-runewidth-dev,
  golang-github-stretchr-testify-dev,
- golang-github-tinylib-msgp-dev,
+ golang-github-tinylib-msgp-dev (>= 1.6.3),
  golang-github-valyala-bytebufferpool-dev,
  golang-github-valyala-fasthttp-dev (>= 1:1.67),
  golang-golang-x-crypto-dev,
